# DocumentQualityAnalyzerConfiguration class

Document Quality Analyzer configuration.

## Constructors

DocumentQualityAnalyzerConfiguration.new({List<DocumentQualityThreshold>? qualityThresholds, List<DocumentQuality>? qualityIndices, bool detectOrientation = false, bool inspectSmallText = false, int maxImageSize = 2000, int minEstimatedNumberOfSymbolsForDocument = 20, double minProcessedFraction = 0.0, double maxProcessedFraction = 0.5, int earlyStopIfNSymbolsFound = 100, int tileSize = 300, bool returnQualityHeatmap = false})
DocumentQualityAnalyzerConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

detectOrientation ↔ bool
  Enable orientation detection. Document orientation will be returned in `DocumentQualityAnalyzerResult.orientation`.
  getter/setter pair
earlyStopIfNSymbolsFound ↔ int
  If this number of symbols is found and minProcessedFraction of the image is processed, the processing stops.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
inspectSmallText ↔ bool
  Inspect small text (typically less than 12 pixels height) when analyzing the document quality. If true, processing will be slower, but when the quality issue with a document is the low resolution of the text, then the issue will be caught.
  getter/setter pair
maxImageSize ↔ int
  Maximum image size in pixels, if image is bigger, it will be resized.
  getter/setter pair
maxProcessedFraction ↔ double
  At most this fraction of the image will be processed, range is from 0 to 1.
  getter/setter pair
minEstimatedNumberOfSymbolsForDocument ↔ int
  If estimated number of symbols is less than this value, return that document is not found.
  getter/setter pair
minProcessedFraction ↔ double
  At least this fraction of the image will be processed, range is from 0 to 1.
  getter/setter pair
qualityIndices ↔ List<DocumentQuality>
  quality levels.
  getter/setter pair
qualityThresholds ↔ List<DocumentQualityThreshold>
  Quality thresholds to separate quality levels.
  getter/setter pair
returnQualityHeatmap ↔ bool
  If true, will return the quality heatmap as a part of the result. In this case, the entire image will be processed and the minProcessedFraction will be ignored. Useful for debugging situations where the returned quality doesn't appear to match the perceived quality.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
tileSize ↔ int
  Image will be processed in tiles of this size; will be ignored if image is small.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited